# arm_lms_instance_q31 Struct Reference

Instance structure for the Q31 LMS filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numTaps
q31_t * | pState
q31_t * | pCoeffs
q31_t | mu
uint32_t | postShift

## Detailed Description

Instance structure for the Q31 LMS filter.

Definition at line 3999 of file arm_math.h.

## Field Documentation

uint16_t arm_lms_instance_q31::numTaps

number of coefficients in the filter.

Definition at line 4001 of file arm_math.h.

q31_t* arm_lms_instance_q31::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 4002 of file arm_math.h.

q31_t* arm_lms_instance_q31::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 4003 of file arm_math.h.

q31_t arm_lms_instance_q31::mu

step size that controls filter coefficient updates.

Definition at line 4004 of file arm_math.h.

uint32_t arm_lms_instance_q31::postShift

bit shift applied to coefficients.

Definition at line 4005 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines